The specified framework 'Microsoft.AspNetCore.App', version '2.2.0' was not found.

0

Visual Studio 2019'da .net core projemi çalıştırmak istediğimde Output ekranında şu uyarıyı görüyorum The specified framework 'Microsoft.AspNetCore.App', version '2.2.0' was not found.  The following frameworks were found:
      2.1.13 at [C:\Program Files\dotnet\shared\Microsoft.AspNetCore.App]
      3.0.0 at [C:\Program Files\dotnet\shared\Microsoft.AspNetCore.App]
You can resolve the problem by installing the specified framework and/or SDK.
The .NET Core frameworks can be found at:
  - https://aka.ms/dotnet-download
It was not possible to find any compatible framework version

Uygulamam çalışmıyor ve hata veriyor. Sorun ne olabilir?

alattin alattin (13846)
1 hafta önce sordu

Toplam 1 Cevap


0

The specified framework 'Microsoft.AspNetCore.App', version '2.2.0' was not found hatası uygulanın çalışması için gereki .Net Core Framework'ün kurulu olmadığı, gerekli sürümün geliştirme ortamında yüklü olmadığı anlamına gelir. Bu durumda uygun .Net Core çatısını yüklemelisiniz.

https://dotnet.microsoft.com/download/dotnet-core adresine gidin ve uygun sürümü yükleyin. Bu örnekte gereki olan sürüm 2.2.0 sürümüdür. 

Ayrıca yüklü olan SDK'ları görmek için dotnet --list-sdks komutunu kullanabilirsiniz.

alattin alattin (13846)
1 hafta önce cevaplandı

üyelik gerektirir

Cevap yazabilmek için üye girişi yapmalısınız.

Eğer uzmanim.net üyesiyseniz giriş yapabilirsiniz: üye girişi yap
uzmanim.net'e üye olmak çok kolaydır: hemen kayıt ol